﻿@model MvcApplication.Models.ProductModel

@{
    ViewBag.Title = "Edit";
}

<h2>Edit @Model.Name</h2>

@using (Html.BeginForm("Edit", "Product", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <div class="editor-field">
        @Html.LabelFor(model => model.Name)
        @Html.EditorFor(model => model.Name)
        @Html.ValidationMessageFor(model => model.Name)
    </div>
    <div class="editor-field">
        @Html.LabelFor(model => model.Description)
        @Html.EditorFor(model => model.Description)
        @Html.ValidationMessageFor(model => model.Description)
    </div>
    <div class="editor-field">
        @Html.LabelFor(model => model.BestBefore)
        @Html.EditorFor(model => model.BestBefore)
        @Html.ValidationMessageFor(model => model.BestBefore)
    </div>
    <div class="editor-field">
        @Html.LabelFor(model => model.Price)
        @Html.EditorFor(model => model.Price)
        @Html.ValidationMessageFor(model => model.Price)
    </div>
    <br />
    <div class="editor-field">
        @if (string.IsNullOrEmpty(Model.ImageType))
        {
            @:No photo.
        }
        else
        {
            <img width="150" height="150" src="@Url.Action("GetImage", "Product", new { prodId = Model.Id })" />
        }
        <div>Send new photo: <input type="file" name="file" id="file" style="width: 100%;" /></div>
    </div>

    <table>
        <thead>
            <tr>
                <th>Bonuses</th>
                <th></th>
                <th></th>
            </tr>
        </thead>
        <tr>
            <td>
                @Html.LabelFor(model => model.SundayBonus)
            </td>
            <td>
                @Html.TextBoxFor(model => model.SundayBonus, new { data_type = "type-bonus", @style = "text-align:right; width:50px;" })
            </td>
            <td>
                @Html.ValidationMessageFor(model => model.SundayBonus)
            </td>
        </tr>
        <tr>
            <td>
                @Html.LabelFor(model => model.MondayBonus)
            </td>
            <td>
                @Html.TextBoxFor(model => model.MondayBonus, new { data_type = "type-bonus", @style = "text-align:right; width:50px;" })
            </td>
            <td>
                @Html.ValidationMessageFor(model => model.MondayBonus)
            </td>
        </tr>
        <tr>
            <td>
                @Html.LabelFor(model => model.TuesdayBonus)
            </td>
            <td>
                @Html.TextBoxFor(model => model.TuesdayBonus, new { data_type = "type-bonus", @style = "text-align:right; width:50px;" })
            </td>
            <td>
                @Html.ValidationMessageFor(model => model.TuesdayBonus)
            </td>
        </tr>
        <tr>
            <td>
                @Html.LabelFor(model => model.WednesdayBonus)
            </td>
            <td>
                @Html.TextBoxFor(model => model.WednesdayBonus, new { data_type = "type-bonus", @style = "text-align:right; width:50px;" })
            </td>
            <td>
                @Html.ValidationMessageFor(model => model.WednesdayBonus)
            </td>
        </tr>
        <tr>
            <td>
                @Html.LabelFor(model => model.ThursdayBonus)
            </td>
            <td>
                @Html.TextBoxFor(model => model.ThursdayBonus, new { data_type = "type-bonus", @style = "text-align:right; width:50px;" })
            </td>
            <td>
                @Html.ValidationMessageFor(model => model.ThursdayBonus)
            </td>
        </tr>
        <tr>
            <td>
                @Html.LabelFor(model => model.FridayBonus)
            </td>
            <td>
                @Html.TextBoxFor(model => model.FridayBonus, new { data_type = "type-bonus", @style = "text-align:right; width:50px;" })
            </td>
            <td>
                @Html.ValidationMessageFor(model => model.FridayBonus)
            </td>
        </tr>
        <tr>
            <td>
                @Html.LabelFor(model => model.SaturdayBonus)
            </td>
            <td>
                @Html.TextBoxFor(model => model.SaturdayBonus, new { data_type = "type-bonus", @style = "text-align:right; width:50px;" })
            </td>
            <td>
                @Html.ValidationMessageFor(model => model.SaturdayBonus)
            </td>
        </tr>
        <tfoot>
            <tr>
                <th>@Html.LabelFor(model => model.PriceAfterBonus)</th>
                <th>@Html.TextBoxFor(model => model.PriceAfterBonus, new { @readonly = "true", @style = "text-align:right; width:70px;" })</th>
                <th></th>
            </tr>
        </tfoot>
    </table>
    <br />
    <br />
    <input type="submit" value="Save" />
    @Html.ActionLink("Cancel", "List")
}

@section Scripts
{
    <script type="text/javascript">
        //init controller
        var ctrl = new ProductEditController();
        ctrl.init(@Model.CurrentDayOfWeek);
    </script>
}
